Subject: Re: bug#10948: 24.0.94; electric-pair-mode inserts unnecessary "

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 02 Jun 2021 09:06:13 +0200

Christopher Schmidt <[email-masked]> writes:

> I often encounter electric-pair-mode inserting unnecessary quotation
> marks on GNU Emacs 24.0.94.1 (x86_64-unknown-linux-gnu, GTK+ Version
> 2.24.9) of 2012-03-01.
>
> Recipe:
>
> emacs -q
> C-x b RET # we are in *scratch* now
> M-x electric-pair-mode RET
> "test C-d # at this point the line at point should read `"test
> "
>
> the line at point now contains "test"".  I think electric-pair-mode
> should be smarter here, do a little backtracking, and just insert one
> quote.

(I'm going through old bug reports that unfortunately got little response at
the time.)

I'm unable to reproduce this problem in Emacs 25 or more recent versions
of Emacs, but I'm not sure I totally understand the recipe:  I end up
with a line reading

"test"

which is what I expect.  Are you still seeing this issue in recent Emacs
versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no